{% extends "default_layout.html" %}
{% block content %}
<h1>New post</h1>
<form enctype='multipart/form-data' method='POST' action='/post/write'>
	<label for='title'>{% trans %}Title{% endtrans %}</label><br>
	<input id='title' class='textbar-normal' type='text' name='title' id='title'><br>
	<label for='body'>{% trans %}Body{% endtrans %}</label><br>
	<textarea rows=6 cols=60 class='textbar-normal' maxlength='4095' name='body' id='body'></textarea><br>
	<label for='image'>{% trans %}Image upload{% endtrans %}</label><br>
	<input class='textbar-normal' type='file' name='image' id='image'><br>
	<label for='keywords'>{% trans %}Keywords{% endtrans %}</label><br>
	<input class='textbar-normal' type='text' name='keywords' id='keywords'><br>
	<label for='link'>{% trans %}Link{% endtrans %}</label><br>
	<input class='textbar-normal' type='text' name='link' id='link'><br>
	<label for='show_votes'>{% trans %}Show who voted?{% endtrans %}</label><br>
	<input type='checkbox' name='show_votes' id='show_votes' checked></input><br>
	<label for='is_nsfw'>{% trans %}Is post NSFW?{% endtrans %}</label><br>
	<input type='checkbox' name='is_nsfw' id='is_nsfw'></input><br>
	{% if boards %}
		<label for='bid'>{% trans %}Board to post to{% endtrans %}</label><br>
		<select name='bid'>
			{% for board in boards %}
			<option value='{{ board.id }}'>{{ board.name | truncate(25,True) }} - /u/{{ board.user_info.username }}</option>
			{% endfor %}
		</select><br>
	{% endif %}
	<label for='category'>{% trans %}Category{% endtrans %}</label><br>
	<select name='category'>
	{% for category in categories %}
		<option value='{{ category.id }}'>{{ category.name }}</option>
	{% endfor %}
	</select><br>
	<input class='form-btn' type='submit' value='{% trans %}Write{% endtrans %}'>
</form>
{% endblock %}
